diff --git a/lib/app/data/models/penerima_penyaluran_model.dart b/lib/app/data/models/penerima_penyaluran_model.dart
index 6264c56..6531f2c 100644
--- a/lib/app/data/models/penerima_penyaluran_model.dart
+++ b/lib/app/data/models/penerima_penyaluran_model.dart
@@ -23,6 +23,7 @@ class PenerimaPenyaluranModel {
   final String? lokasiPenyaluranNama; // Nama lokasi penyaluran
   final String? lokasiPenyaluranAlamat; // Alamat lokasi penyaluran
   final String? qrCodeHash; // Hash untuk QR code
+  final String? statusPenyaluran; // Status penyaluran
 
   PenerimaPenyaluranModel({
     this.id,
@@ -47,6 +48,7 @@ class PenerimaPenyaluranModel {
     this.lokasiPenyaluranNama,
     this.lokasiPenyaluranAlamat,
     this.qrCodeHash,
+    this.statusPenyaluran,
   });
 
   factory PenerimaPenyaluranModel.fromRawJson(String str) =>
@@ -82,6 +84,7 @@ class PenerimaPenyaluranModel {
         lokasiPenyaluranNama: json["lokasi_penyaluran_nama"],
         lokasiPenyaluranAlamat: json["lokasi_penyaluran_alamat"],
         qrCodeHash: json["qr_code_hash"],
+        statusPenyaluran: json["status_penyaluran"],
       );
 
   Map<String, dynamic> toJson() => {
@@ -107,5 +110,6 @@ class PenerimaPenyaluranModel {
         "lokasi_penyaluran_nama": lokasiPenyaluranNama,
         "lokasi_penyaluran_alamat": lokasiPenyaluranAlamat,
         "qr_code_hash": qrCodeHash,
+        "status_penyaluran": statusPenyaluran,
       };
 }
diff --git a/lib/app/data/models/skema_bantuan_model.dart b/lib/app/data/models/skema_bantuan_model.dart
index 0377efc..9d19e54 100644
--- a/lib/app/data/models/skema_bantuan_model.dart
+++ b/lib/app/data/models/skema_bantuan_model.dart
@@ -11,6 +11,7 @@ class SkemaBantuanModel {
   final DateTime? updatedAt;
   final String? stokBantuanId;
   final String? kategoriBantuanId;
+  final double? jumlahDiterimaPerOrang;
 
   SkemaBantuanModel({
     this.id,
@@ -23,6 +24,7 @@ class SkemaBantuanModel {
     this.updatedAt,
     this.stokBantuanId,
     this.kategoriBantuanId,
+    this.jumlahDiterimaPerOrang,
   });
 
   factory SkemaBantuanModel.fromRawJson(String str) =>
@@ -46,6 +48,9 @@ class SkemaBantuanModel {
             : null,
         stokBantuanId: json["stok_bantuan_id"],
         kategoriBantuanId: json["kategori_bantuan_id"],
+        jumlahDiterimaPerOrang: json["jumlah_diterima_per_orang"] != null
+            ? json["jumlah_diterima_per_orang"].toDouble()
+            : null,
       );
 
   Map<String, dynamic> toJson() => {
@@ -59,5 +64,6 @@ class SkemaBantuanModel {
         "updated_at": updatedAt?.toIso8601String(),
         "stok_bantuan_id": stokBantuanId,
         "kategori_bantuan_id": kategoriBantuanId,
+        "jumlah_diterima_per_orang": jumlahDiterimaPerOrang,
       };
 }
diff --git a/lib/app/data/models/tindakan_pengaduan_model.dart b/lib/app/data/models/tindakan_pengaduan_model.dart
index 6121112..c793516 100644
--- a/lib/app/data/models/tindakan_pengaduan_model.dart
+++ b/lib/app/data/models/tindakan_pengaduan_model.dart
@@ -6,7 +6,6 @@ class TindakanPengaduanModel {
   final String? tindakan;
   final String? catatan;
   final String? statusTindakan; // PROSES, SELESAI
-  final String? prioritas; // RENDAH, SEDANG, TINGGI
   final String? kategoriTindakan; // Kategori tindakan enum
   final String? petugasId;
   final String? verifikatorId;
@@ -27,7 +26,6 @@ class TindakanPengaduanModel {
     this.tindakan,
     this.catatan,
     this.statusTindakan,
-    this.prioritas,
     this.kategoriTindakan,
     this.petugasId,
     this.verifikatorId,
@@ -55,7 +53,6 @@ class TindakanPengaduanModel {
         tindakan: json["tindakan"],
         catatan: json["catatan"],
         statusTindakan: json["status_tindakan"],
-        prioritas: json["prioritas"],
         kategoriTindakan: json["kategori_tindakan"],
         petugasId: json["petugas_id"],
         verifikatorId: json["verifikator_id"],
@@ -76,9 +73,7 @@ class TindakanPengaduanModel {
         updatedAt: json["updated_at"] != null
             ? DateTime.parse(json["updated_at"])
             : null,
-        biayaTindakan: json["biaya_tindakan"] != null
-            ? double.parse(json["biaya_tindakan"].toString())
-            : null,
+        biayaTindakan: json["biaya_tindakan"]?.toDouble(),
         petugas: json["petugas"],
         verifikator: json["verifikator"],
       );
@@ -89,7 +84,6 @@ class TindakanPengaduanModel {
         "tindakan": tindakan,
         "catatan": catatan,
         "status_tindakan": statusTindakan,
-        "prioritas": prioritas,
         "kategori_tindakan": kategoriTindakan,
         "petugas_id": petugasId,
         "verifikator_id": verifikatorId,
@@ -137,20 +131,6 @@ class TindakanPengaduanModel {
     }
   }
 
-  // Getter untuk mendapatkan prioritas yang lebih user-friendly
-  String get prioritasText {
-    switch (prioritas) {
-      case 'RENDAH':
-        return 'Prioritas Rendah';
-      case 'SEDANG':
-        return 'Prioritas Sedang';
-      case 'TINGGI':
-        return 'Prioritas Tinggi';
-      default:
-        return prioritas ?? 'Tidak Diketahui';
-    }
-  }
-
   // Getter untuk mendapatkan kategori tindakan yang lebih user-friendly
   String get kategoriTindakanText {
     if (kategoriTindakan == null) return 'Tidak Diketahui';
diff --git a/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
index 9de570e..5f11f5b 100644
--- a/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
@@ -383,6 +383,9 @@ class JadwalPenyaluranController extends GetxController {
     required String lokasiPenyaluranId,
     required int jumlahPenerima,
     required DateTime? tanggalPenyaluran,
+    required double jumlahDiterimaPerOrang,
+    required String stokBantuanId,
+    required double totalStokDibutuhkan,
   }) async {
     isLoading.value = true;
     try {
@@ -427,6 +430,7 @@ class JadwalPenyaluranController extends GetxController {
           'stok_bantuan_id': skemaBantuanCache[skemaId]?.stokBantuanId,
           'status_penerimaan': 'BELUMMENERIMA',
           'qr_code_hash': qrCodeHash,
+          'jumlah_bantuan': jumlahDiterimaPerOrang,
         };
 
         // Simpan data penerima ke database
@@ -435,6 +439,29 @@ class JadwalPenyaluranController extends GetxController {
             .insert(penerimaPenyaluran);
       }
 
+      // Update stok bantuan (kurangi dengan total stok yang dibutuhkan)
+      try {
+        // Dapatkan stok saat ini
+        final stokData = await _supabaseService.client
+            .from('stok_bantuan')
+            .select('total_stok')
+            .eq('id', stokBantuanId)
+            .single();
+
+        if (stokData != null && stokData['total_stok'] != null) {
+          final currentStok = stokData['total_stok'].toDouble();
+          final newStok = currentStok - totalStokDibutuhkan;
+
+          // Update stok bantuan dengan nilai baru
+          await _supabaseService.client
+              .from('stok_bantuan')
+              .update({'total_stok': newStok}).eq('id', stokBantuanId);
+        }
+      } catch (e) {
+        print('Error updating stok bantuan: $e');
+        // Tidak throw exception di sini karena penyaluran sudah disimpan
+      }
+
       // Setelah berhasil menambahkan, refresh data
       await loadJadwalData();
       await loadPermintaanPenjadwalanData();
diff --git a/lib/app/modules/petugas_desa/controllers/pengaduan_controller.dart b/lib/app/modules/petugas_desa/controllers/pengaduan_controller.dart
index 596fdc3..4a94fc5 100644
--- a/lib/app/modules/petugas_desa/controllers/pengaduan_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/pengaduan_controller.dart
@@ -108,7 +108,6 @@ class PengaduanController extends GetxController {
     required String tindakan,
     required String kategoriTindakan,
     required String statusTindakan,
-    required String prioritas,
     String? catatan,
     String? hasilTindakan,
     required List<String> buktiTindakanPaths,
@@ -134,7 +133,6 @@ class PengaduanController extends GetxController {
         'tindakan': tindakan,
         'catatan': catatan,
         'status_tindakan': statusTindakan,
-        'prioritas': prioritas,
         'kategori_tindakan': kategoriTindakan,
         'hasil_tindakan': hasilTindakan,
         'tanggal_tindakan': DateTime.now().toIso8601String(),
@@ -188,7 +186,6 @@ class PengaduanController extends GetxController {
     required String tindakan,
     required String kategoriTindakan,
     required String statusTindakan,
-    required String prioritas,
     String? catatan,
     String? hasilTindakan,
     required List<String> buktiTindakanPaths,
@@ -217,7 +214,6 @@ class PengaduanController extends GetxController {
         'tindakan': tindakan,
         'catatan': catatan,
         'status_tindakan': statusTindakan,
-        'prioritas': prioritas,
         'kategori_tindakan': kategoriTindakan,
         'hasil_tindakan': hasilTindakan,
         'bukti_tindakan': buktiTindakanUrls,
diff --git a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
index f115338..557504e 100644
--- a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
@@ -460,6 +460,92 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                 ),
               ],
             ),
+            const SizedBox(height: 12),
+            if (pengaduan.fotoPengaduan != null &&
+                pengaduan.fotoPengaduan!.isNotEmpty)
+              Column(
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  Text(
+                    'Foto Pengaduan:',
+                    style: TextStyle(
+                      fontWeight: FontWeight.bold,
+                      fontSize: 14,
+                      color: Colors.grey.shade700,
+                    ),
+                  ),
+                  const SizedBox(height: 8),
+                  SizedBox(
+                    height: 120,
+                    child: ListView.builder(
+                      scrollDirection: Axis.horizontal,
+                      itemCount: pengaduan.fotoPengaduan!.length,
+                      itemBuilder: (context, index) {
+                        return GestureDetector(
+                          onTap: () {
+                            // Tampilkan gambar dalam ukuran penuh saat diklik
+                            Get.to(() => Scaffold(
+                                  appBar: AppBar(
+                                    title: const Text('Foto Pengaduan'),
+                                    backgroundColor: Colors.black,
+                                  ),
+                                  body: Center(
+                                    child: InteractiveViewer(
+                                      child: Image.network(
+                                        pengaduan.fotoPengaduan![index],
+                                        fit: BoxFit.contain,
+                                      ),
+                                    ),
+                                  ),
+                                  backgroundColor: Colors.black,
+                                ));
+                          },
+                          child: Container(
+                            width: 120,
+                            margin: const EdgeInsets.only(right: 8),
+                            decoration: BoxDecoration(
+                              borderRadius: BorderRadius.circular(8),
+                              border: Border.all(color: Colors.grey.shade300),
+                            ),
+                            child: ClipRRect(
+                              borderRadius: BorderRadius.circular(8),
+                              child: Image.network(
+                                pengaduan.fotoPengaduan![index],
+                                fit: BoxFit.cover,
+                                loadingBuilder:
+                                    (context, child, loadingProgress) {
+                                  if (loadingProgress == null) return child;
+                                  return Center(
+                                    child: CircularProgressIndicator(
+                                      value:
+                                          loadingProgress.expectedTotalBytes !=
+                                                  null
+                                              ? loadingProgress
+                                                      .cumulativeBytesLoaded /
+                                                  loadingProgress
+                                                      .expectedTotalBytes!
+                                              : null,
+                                    ),
+                                  );
+                                },
+                                errorBuilder: (context, error, stackTrace) {
+                                  return Container(
+                                    color: Colors.grey.shade200,
+                                    child: const Center(
+                                      child:
+                                          Icon(Icons.error, color: Colors.red),
+                                    ),
+                                  );
+                                },
+                              ),
+                            ),
+                          ),
+                        );
+                      },
+                    ),
+                  ),
+                ],
+              ),
             const SizedBox(height: 16),
             // Panel status pengaduan
             _buildStatusPanel(context, pengaduan),
@@ -1234,17 +1320,6 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                 ),
               ],
             ),
-
-            // Prioritas tindakan (jika ada)
-            if (tindakan.prioritas != null) ...[
-              const SizedBox(height: 8),
-              // Menggunakan StatusPill untuk prioritas tindakan
-              StatusPill(
-                status: tindakan.prioritasText,
-                backgroundColor: _getPriorityColor(tindakan.prioritas),
-                textColor: Colors.white,
-              ),
-            ],
             // Tampilkan tombol edit jika status PROSES
             if (tindakan.statusTindakan == 'PROSES') ...[
               const SizedBox(height: 8),
@@ -1288,24 +1363,10 @@ class DetailPengaduanView extends GetView<PengaduanController> {
     );
   }
 
-  Color _getPriorityColor(String? priority) {
-    switch (priority) {
-      case 'TINGGI':
-        return Colors.red;
-      case 'SEDANG':
-        return Colors.orange;
-      case 'RENDAH':
-        return Colors.green;
-      default:
-        return Colors.grey;
-    }
-  }
-
   void _showTambahTindakanDialog(BuildContext context, String pengaduanId) {
     final formKey = GlobalKey<FormState>();
     final tindakanController = TextEditingController();
     String? selectedKategori;
-    String? selectedPrioritas;
     String selectedStatus = 'PROSES';
 
     final List<String> kategoriOptions = [
@@ -1326,12 +1387,6 @@ class DetailPengaduanView extends GetView<PengaduanController> {
       'PELAPORAN_KE_PIHAK_BERWENANG',
     ];
 
-    final List<String> prioritasOptions = [
-      'RENDAH',
-      'SEDANG',
-      'TINGGI',
-    ];
-
     // Konversi ke format DropdownItem
     final List<DropdownItem<String>> kategoriItems = kategoriOptions
         .map((kategori) => DropdownItem<String>(
@@ -1340,15 +1395,6 @@ class DetailPengaduanView extends GetView<PengaduanController> {
             ))
         .toList();
 
-    // Konversi ke format DropdownItem untuk prioritas
-    final List<DropdownItem<String>> prioritasItems = prioritasOptions
-        .map((prioritas) => DropdownItem<String>(
-              value: prioritas,
-              label: prioritas[0].toUpperCase() +
-                  prioritas.substring(1).toLowerCase(),
-            ))
-        .toList();
-
     showDialog(
       context: context,
       builder: (context) => AlertDialog(
@@ -1380,26 +1426,6 @@ class DetailPengaduanView extends GetView<PengaduanController> {
 
                 const SizedBox(height: 16),
 
-                // Prioritas menggunakan DropdownInput
-                DropdownInput<String>(
-                  label: 'Prioritas',
-                  hint: 'Pilih prioritas tindakan',
-                  items: prioritasItems,
-                  value: selectedPrioritas,
-                  onChanged: (value) {
-                    selectedPrioritas = value;
-                  },
-                  required: true,
-                  validator: (value) {
-                    if (value == null || value.isEmpty) {
-                      return 'Pilih prioritas tindakan';
-                    }
-                    return null;
-                  },
-                ),
-
-                const SizedBox(height: 16),
-
                 // Deskripsi tindakan menggunakan TextInput
                 TextInput(
                   label: 'Deskripsi Tindakan',
@@ -1433,7 +1459,6 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                         tindakan: tindakanController.text,
                         kategoriTindakan: selectedKategori ?? '',
                         statusTindakan: selectedStatus,
-                        prioritas: selectedPrioritas ?? '',
                         catatan: null,
                         hasilTindakan: null,
                         buktiTindakanPaths: [],
@@ -1466,7 +1491,6 @@ class DetailPengaduanView extends GetView<PengaduanController> {
     final hasilTindakanController =
         TextEditingController(text: tindakan.hasilTindakan);
     String? selectedKategori = tindakan.kategoriTindakan;
-    String? selectedPrioritas = tindakan.prioritas;
     String selectedStatus = 'SELESAI';
 
     // Gunakan List untuk bukti tindakan paths
@@ -1865,8 +1889,6 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                             kategoriTindakan: selectedKategori ??
                                 '', // Gunakan kategori yang sudah ada
                             statusTindakan: selectedStatus,
-                            prioritas: selectedPrioritas ??
-                                '', // Gunakan prioritas yang sudah ada
                             catatan: catatanController.text.isEmpty
                                 ? null
                                 : catatanController.text,
diff --git a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
index c874dfd..4acbb3e 100644
--- a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
+++ b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
@@ -37,7 +37,7 @@ class DetailPenyaluranPage extends StatelessWidget {
         title: const Text('Detail Penyaluran'),
         centerTitle: true,
         leading: IconButton(
-          icon: const Icon(Icons.arrow_back, color: Colors.white),
+          icon: const Icon(Icons.arrow_back, color: AppTheme.primaryColor),
           onPressed: () => Get.back(),
         ),
       ),
@@ -969,8 +969,14 @@ class DetailPenyaluranPage extends StatelessWidget {
               backgroundColor: AppTheme.successColor,
               foregroundColor: Colors.white,
               padding: const EdgeInsets.symmetric(vertical: 16),
+              // Tombol disabled jika belum semua penerima menerima bantuan
+              disabledBackgroundColor: Colors.grey.shade300,
+              disabledForegroundColor: Colors.grey.shade700,
             ),
-            onPressed: controller.selesaikanPenyaluran,
+            onPressed: controller.penerimaPenyaluran.every((penerima) =>
+                    penerima.statusPenerimaan?.toUpperCase() == 'DITERIMA')
+                ? controller.selesaikanPenyaluran
+                : null,
           ),
         ),
         const SizedBox(width: 12),
diff --git a/lib/app/modules/petugas_desa/views/pengaduan_view.dart b/lib/app/modules/petugas_desa/views/pengaduan_view.dart
index 968f422..5c2fd08 100644
--- a/lib/app/modules/petugas_desa/views/pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/pengaduan_view.dart
@@ -321,8 +321,6 @@ class PengaduanView extends GetView<PengaduanController> {
     String formattedDate = '';
     if (item.tanggalPengaduan != null) {
       formattedDate = DateTimeHelper.formatDate(item.tanggalPengaduan);
-    } else if (item.createdAt != null) {
-      formattedDate = DateTimeHelper.formatDate(item.createdAt);
     }
 
     return Container(
@@ -452,7 +450,7 @@ class PengaduanView extends GetView<PengaduanController> {
                     child: _buildItemDetail(
                       context,
                       icon: Icons.calendar_today,
-                      label: 'Tanggal',
+                      label: 'Tanggal Pengaduan',
                       value: formattedDate,
                     ),
                   ),
@@ -631,7 +629,6 @@ class PengaduanView extends GetView<PengaduanController> {
                   tindakan: controller.tindakanController.text,
                   kategoriTindakan: 'VERIFIKASI_DATA',
                   statusTindakan: 'PROSES',
-                  prioritas: 'SEDANG',
                   catatan: controller.catatanController.text.isEmpty
                       ? null
                       : controller.catatanController.text,
